The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Whm, php 5.3.1 & pdo

Discussion in 'General Discussion' started by NemoXP, Feb 25, 2010.

  1. NemoXP

    NemoXP Active Member

    Feb 25, 2010
    Likes Received:
    Trophy Points:
    Constanta, Romania, Romania
    cPanel Access Level:
    Root Administrator
    I 2 weeks ago I upgraded to php 5.3.1 and it seems something is wrong when loading

    If i run phpinfo(), it stops printing on the screen just before pdo.
    here is my phpinfo: phpinfo()

    from Pcel support (irc) someone told me to install pdo with '--with-pdo-mysql=mysqlnd' (as in the built in pdo driver..)
    (easyapache does a install with '--with-pdo-mysql=shared'; how can i change this to mysqlnd?)

    I just did a reinstall for php and have the same problem.
    If i remove the line from php.ini, phpinfo() shows completely but i get a error_log with a line telling me that pdo is not loaded and cannot load pdo_mysql, but i need pdo_mysql

    What do you recommend ?

    //// later ////

    I found a stupid trick:
    after installing without PDO ('--disable-pdo') i retried to install PECL module PDO and PDO_MYSQL
    and at end a error was something like: (or is not in the folder bla bla bla
    and then i duplicated those 2 files with CAPS (originally in folder they were with lowercase)
    and now it starts, works, shows entire phpinfo().

    //// later than last later time. ////

    at my third install in this night it finally works. not all but just what is "required".
    i still can't make pdo_sqlite work.
    if i enable this extension, same problem, phpinfo() ends before reaching the end (just before PDO)
    same link as above for phpinfo()
    strange it is that the drivers for sqlite2 are working, for sqlite not.

    anyway.. i think this solves my problem.
    if any ideas about how to do this better, please reply

    also, please, take a look in my php configuration and tell me if something is wrong, or ambiguous, or missing

    #1 NemoXP, Feb 25, 2010
    Last edited: Feb 25, 2010
  2. boonjackmedia

    boonjackmedia Active Member

    Apr 28, 2010
    Likes Received:
    Trophy Points:
    Cincinnati, OH USA
    PHP 5.3x - Zend Optimizer - PDO Squlite issue

    Zend Optimizer doesn't work (well) PHP 5.3x yet, so I built PHP 4.4.9 along to resolve any conflicts.

    Things were fine and smooth for awhile, but the apps/scripts are a bit sensitive to some code techniques - throwing up more errors than contestants @ a Bulimic Hot Dog eating contest.

    I rebuilt Apache and went with PHP 5.2.13 version and I'm good to go now.

    If you're stuck on using either PDO or Zend Optimizer, don't use PHP 5.3x yet... unless you're really into debugging and juggling alot of support tickets.


Share This Page